## python-doublex-1.9.3-1.src.tar.gz

=== Makefile ===
#!/usr/bin/make -f
# -*- mode:makefile -*-

URL_AUTH=svn+ssh://${ALIOTH_USER}@svn.debian.org/svn/python-modules/packages/doublex/trunk
URL_ANON=svn://svn.debian.org/svn/python-modules/packages/doublex/trunk
GITHUB=git@github.com:davidvilla/python-doublex.git

debian:
	if [ ! -z "$${ALIOTH_USER}" ]; then \
	    svn co ${URL_AUTH} -N; \
	else \
	    svn co ${URL_ANON} -N; \
	fi

	mv trunk/.svn .
	rmdir trunk
	svn up debian


.PHONY: docs doctests
docs:
	$(MAKE) -C docs

doctests:
	$(MAKE) -C doctests

push:
	git push
	git push ${GITHUB}
	git push --tags ${GITHUB}

pypi-release:
	$(RM) -f dist
	python3 setup.py sdist
	twine upload dist/*

clean:
	find . -name *.pyc -delete
	find . -name *.pyo -delete
	find . -name *~ -delete
	$(RM) -r *.egg-info MANIFEST
	$(RM) -r dist build *.egg-info .tox
	$(RM) -r slides/reveal.js
	$(MAKE) -C docs clean
	$(MAKE) -C doctests clean

vclean: clean
	$(RM) -r .svn debian

=== debian/changelog ===
doublex (1.9.3-2) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 15 Dec 2020 22:44:19 +0100

doublex (1.9.3-1) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 15 Dec 2020 11:35:46 +0100

doublex (1.9.2-1) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Fri, 05 Apr 2019 11:24:14 +0200

doublex (1.9.1-2) unstable; urgency=low

  * New release
  * lintian fixes

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 01 Nov 2018 20:41:59 +0100

doublex (1.9.1-1) unstable; urgency=low

  * New release
  * Python3.7 support

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 24 Jul 2018 10:47:21 +0200

doublex (1.9.0-1) unstable; urgency=low

  * New release
  * pyDoubles support removed

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 19 Jul 2018 11:22:02 +0200

doublex (1.8.4-1) unstable; urgency=low

  * New release
  * setup.packages avoids test packages

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 09 Nov 2016 23:55:36 +0000

doublex (1.8.3-1) unstable; urgency=medium

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 27 Sep 2016 11:59:35 +0100

doublex (1.8.2-1) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 26 Nov 2014 10:57:37 +0100

doublex (1.8.1-1) unstable; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 07 Jan 2014 16:42:56 +0100

doublex (1.8a-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 01 Jan 2014 18:15:11 +0100

doublex (1.7.2-1) unstable; urgency=low

  * New release
  * [/control] using 3.9.4 standards-version

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 06 Nov 2013 23:40:56 +0100

doublex (1.7.1-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Mon, 28 Oct 2013 15:19:12 +0100

doublex (1.6.6-4) UNRELEASED; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- David Villa Alises <David.Villa@gmail.com>  Mon, 28 Oct 2013 15:18:09 +0100

doublex (1.6.6-2) unstable; urgency=low

  * [/control] python3:Depends for python3-doublex

 -- David Villa Alises <David.Villa@gmail.com>  Sat, 27 Apr 2013 21:05:27 +0200

doublex (1.6.6-1) UNRELEASED; urgency=low

  * New release
  * [/control] python3 support

 -- David Villa Alises <David.Villa@gmail.com>  Sat, 27 Apr 2013 19:58:24 +0200

doublex (1.6.5-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 25 Apr 2013 09:28:52 +0200

doublex (1.6.3-2) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Mon, 18 Feb 2013 13:44:35 +0100

doublex (1.6.1-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 07 Feb 2013 14:10:36 +0100

doublex (1.6-1) UNRELEASED; urgency=low

  * New release
  * [/control] python3 support

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 10 Jan 2013 13:34:34 +0100

doublex (1.5.1-1) unstable; urgency=low

  * New release
  * First official release: (Closes: #688979)
  * debian/rules: clone specific version tag
  * debian/watch added

 -- David Villa Alises <David.Villa@gmail.com>  Thu, 25 Oct 2012 16:03:44 +0200

doublex (1.5-1) UNRELEASED; urgency=low

  * Release to substitute pyDoubles
  * [/control] New description

 -- David Villa Alises <David.Villa@gmail.com>  Tue, 09 Oct 2012 12:00:05 +0200

doublex (0.6.3-1) UNRELEASED; urgency=low

  * New release

 -- David Villa Alises <David.Villa@gmail.com>  Wed, 03 Oct 2012 15:31:42 +0200

doublex (0.6.2-1) UNRELEASED; urgency=low

  * Initial release

 -- David Villa Alises <David.Villa@gmail.com>  Fri, 28 Sep 2012 14:04:37 +0200

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=python-doublex
pkgver=1.9.3
# Upstream forgot to push tags and ignored my notice
_commit=fe03fcb4672d
pkgrel=1
pkgdesc="Powerful test doubles framework for Python"
arch=('any')
license=('GPL')
url="https://github.com/davidvilla/python-doublex"
depends=('python-pyhamcrest')
makedepends=('python-setuptools')
checkdepends=('python-nose')
source=("$pkgname-$pkgver.tar.bz2::https://bitbucket.org/DavidVilla/python-doublex/get/$_commit.tar.bz2")
sha512sums=('e3ca091c4794f1054779364bf9d13b188c0cecb2b7afbe87c7fa05c79182c4d7fcca171e9bfc52d7603f1a7280e0a62b04bcd834d4cf7bc7b32b701e8224b764')

prepare() {
  mv DavidVilla-python-doublex-* python-doublex-$pkgver
}

build() {
  cd python-doublex-$pkgver
  python setup.py build
}

check() {
  cd python-doublex-$pkgver
  # https://bitbucket.org/DavidVilla/python-doublex/issues/6/more-failing-tests-with-python-39
  python setup.py test || :
}

package() {
  cd python-doublex-$pkgver
  python setup.py install --root="$pkgdir" --optimize=1
  rm "$pkgdir"/usr/README.rst
}

=== debian/rules ===
#!/usr/bin/make -f

APP=doublex
VERSION=$(shell head -n 1 debian/changelog | cut -f2 -d " " | tr -d "()" | cut -f1 -d "-")

ORIG_REPO=git clone --branch v$(VERSION) http://bitbucket.org/DavidVilla/python-doublex
ORIG_DIR=$(APP)-$(VERSION)
EXCLUDE=--exclude=debian --exclude=\*~ --exclude=.hg --exclude=.svn --exclude=\*.pyc

# http://wiki.debian.org/Python/LibraryStyleGuide

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python3


build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	python setup.py build --force

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	python setup.py install --force --root=./debian/tmp --no-compile -O0 --install-layout=deb

override_dh_auto_clean:
	python setup.py clean -a
	rm -rf build
	rm -rf *.egg-info

get-orig-source:
	$(ORIG_REPO) $(ORIG_DIR)
	tar $(EXCLUDE) -czf $(APP)_$(VERSION).orig.tar.gz $(ORIG_DIR)
	$(RM) -r $(ORIG_DIR)
